<?php
require "inc.php";
defined('IN_AJAX') or $obj_msg->on_error('access');

switch($get_act)
{
	case "exchange_gold":
	{
		$obj_tab_account=new cls_tab_sys_account();
		$arr_return=$obj_tab_account->on_exchange_gold($obj_ctl_user->id,$get_gold_val);
		$arr_msg=array("code"=>$arr_return["errid"],"msg"=>$arr_return["err"]);
		echo $obj_msg->json_encode($arr_msg);
		exit;
		break;
	}
	case "exchange_score":
	{
		$obj_tab_account=new cls_tab_sys_account();
		$arr_return=$obj_tab_account->on_exchange_score($obj_ctl_user->id,$get_score_val);
		$arr_msg=array("code"=>$arr_return["errid"],"msg"=>$arr_return["err"]);
		echo $obj_msg->json_encode($arr_msg);
		exit;
		break;
	}
}
?>